```@setup plot
using GRUtils, Random
Random.seed!(111)
```
# Plotting functions

## Line plots
```@docs
plot
```
```@example plot
Figure(); # hide
Base.include(GRUtils, "../examples/docstrings/plot.jl") # hide
```
```@docs
oplot
```
```@example plot
Figure(); # hide
Base.include(GRUtils, "../examples/docstrings/oplot.jl") # hide
```
```@docs
stair
```
```@example plot
Figure(); # hide
Base.include(GRUtils, "../examples/docstrings/stair.jl") # hide
```
```@docs
plot3
```
```@example plot
Figure(); # hide
Base.include(GRUtils, "../examples/docstrings/plot3.jl") # hide
```
```@docs
polar
```
```@example plot
Figure(); # hide
Base.include(GRUtils, "../examples/docstrings/polar.jl") # hide
```
## Scatter plots
```@docs
scatter
```
```@example plot
Figure(); # hide
Base.include(GRUtils, "../examples/docstrings/scatter.jl") # hide
```
```@docs
scatter3
```
```@example plot
Figure(); # hide
Base.include(GRUtils, "../examples/docstrings/scatter3.jl") # hide
```
## Stem plots
```@docs
stem
```
```@example plot
Figure(); # hide
Base.include(GRUtils, "../examples/docstrings/stem.jl") # hide
```
```@docs
errorbar
```
```@example plot
Figure(); # hide
Base.include(GRUtils, "../examples/docstrings/errorbar.jl") # hide
```
## Bar plots
```@docs
barplot
```
```@example plot
Figure(); # hide
Base.include(GRUtils, "../examples/docstrings/barplot.jl") # hide
```
## Histograms
```@docs
histogram
```
```@example plot
Figure(); # hide
Base.include(GRUtils, "../examples/docstrings/histogram.jl") # hide
```
```@docs
polarhistogram
```
```@example plot
Figure(); # hide
Base.include(GRUtils, "../examples/docstrings/polarhistogram.jl") # hide
```
```@docs
hexbin
```
```@example plot
Figure(); # hide
Base.include(GRUtils, "../examples/docstrings/hexbin.jl") # hide
```
## Contour plots
```@docs
contour
```
```@example plot
Figure(); # hide
Base.include(GRUtils, "../examples/docstrings/contour.jl") # hide
```
```@docs
contourf
```
```@example plot
Figure(); # hide
Base.include(GRUtils, "../examples/docstrings/contourf.jl") # hide
```
```@docs
tricont
```
```@example plot
Figure(); # hide
Base.include(GRUtils, "../examples/docstrings/tricont.jl") # hide
```
## Surface plots
```@docs
surface
```
```@example plot
Figure(); # hide
Base.include(GRUtils, "../examples/docstrings/surface.jl") # hide
```
```@docs
trisurf
```
```@example plot
Figure(); # hide
Base.include(GRUtils, "../examples/docstrings/trisurf.jl") # hide
```
```@docs
wireframe
```
```@example plot
Figure(); # hide
Base.include(GRUtils, "../examples/docstrings/wireframe.jl") # hide
```
## Volume rendering
```@docs
volume
```
```@example plot
Figure(); # hide
Base.include(GRUtils, "../examples/docstrings/volume.jl") # hide
```
## Heatmaps
```@docs
heatmap
```
```@example plot
Figure(); # hide
Base.include(GRUtils, "../examples/docstrings/heatmap.jl") # hide
```
```@docs
shade
```
```@example plot
Figure(); # hide
Base.include(GRUtils, "../examples/docstrings/shade.jl") # hide
```
## Images
```@docs
imshow
```
```@example plot
Figure(); # hide
Base.include(GRUtils, "../examples/docstrings/imshow.jl") # hide
```
## Isosurfaces
```@docs
isosurface
```
```@example plot
Figure(); # hide
Base.include(GRUtils, "../examples/docstrings/isosurface.jl") # hide
```
